Page MenuHomePhabricator

[Bug] unable to edit in IE
Closed, ResolvedPublic

Description

We have several users complaining that editing in IE11/Win7 is broken. https://www.wikidata.org/wiki/Wikidata:Contact_the_development_team#A_bug.3F When trying to save and edit they get a "forbidden" error message which is extremely helpful ;-)

Details

Related Gerrit Patches:
mediawiki/extensions/Wikidata : wmf/1.28.0-wmf.3Update Wikibase
mediawiki/extensions/Wikidata : wmf/1.27.0-wmf.6Update Wikibase
mediawiki/extensions/Wikibase : wmf/1.28.0-wmf.3Work around IE not supporting dir=auto
mediawiki/extensions/Wikibase : masterWork around IE not supporting dir=auto
mediawiki/extensions/WikibaseJavaScriptApi : masterRelease 2.0.0
mediawiki/extensions/Wikidata : wmf/1.28.0-wmf.3Update wikibase/javascript-api to 1.1.1
mediawiki/extensions/WikibaseJavaScriptApi : 1.1.xRelease 1.1.1
mediawiki/extensions/WikibaseJavaScriptApi : 1.1.xFix getLocationAgnosticMwApi behavior in Internet Explorer
mediawiki/extensions/WikibaseJavaScriptApi : masterFix getLocationAgnosticMwApi behavior in Internet Explorer
mediawiki/extensions/Wikibase : masterReplace deprecated "options" tokens with "csrf"

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 30 2016, 9:00 AM
Lydia_Pintscher triaged this task as High priority.May 30 2016, 9:00 AM

I just checked this with @WMDE-Fisch and it is not just IE 11 but also at least IE 10. Edge seems ok.

Lydia_Pintscher renamed this task from [Bug] unable to edit in IE11/Win7 to [Bug] unable to edit in IE.May 30 2016, 9:19 AM
Lydia_Pintscher raised the priority of this task from High to Unbreak Now!.

Based on the amount of reports we get about this we should fix it asap.

Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 30 2016, 9:20 AM

Change 291704 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Release 2.0.0

https://gerrit.wikimedia.org/r/291704

I have an old laptop with Internet Explorer 9 and can reproduce the problem there. The API request done in the background to fulfill the edit request returns:

'origin' parameter does not match Origin header

There is no origin header in the request IE sends, as far as I can see.

I believe this is not an issue we introduced in Wikibase, but something that changed in core.

http://stackoverflow.com/questions/20784209/internet-explorer-11-does-not-add-the-origin-header-on-a-cors-request

Change 291705 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Replace deprecated "edit" tokens with "csrf"

https://gerrit.wikimedia.org/r/291705

Change 291709 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix getLocationAgnosticMwApi behavior in Internet Explorer

https://gerrit.wikimedia.org/r/291709

Change 291705 merged by jenkins-bot:
Replace deprecated "options" tokens with "csrf"

https://gerrit.wikimedia.org/r/291705

The documentation even mentions options as a valid token, it would be nice to update the docblock in core.

Luke081515 moved this task from incoming to in progress on the Wikidata board.May 30 2016, 2:22 PM

I believe this is not an issue we introduced in Wikibase, but something that changed in core.

Does the same error then also appear on wikipedia.org?

I also have at least one complaint from someone who got "forbidden" on Wikipedia when they were trying to add a sitelink from the client.

Change 291709 merged by jenkins-bot:
Fix getLocationAgnosticMwApi behavior in Internet Explorer

https://gerrit.wikimedia.org/r/291709

Change 291769 had a related patch set uploaded (by JanZerebecki):
Fix getLocationAgnosticMwApi behavior in Internet Explorer

https://gerrit.wikimedia.org/r/291769

Change 291769 merged by jenkins-bot:
Fix getLocationAgnosticMwApi behavior in Internet Explorer

https://gerrit.wikimedia.org/r/291769

Change 291773 had a related patch set uploaded (by JanZerebecki):
Release 1.1.1

https://gerrit.wikimedia.org/r/291773

Change 291773 merged by jenkins-bot:
Release 1.1.1

https://gerrit.wikimedia.org/r/291773

Change 291774 had a related patch set uploaded (by JanZerebecki):
Update wikibase/javascript-api to 1.1.1

https://gerrit.wikimedia.org/r/291774

Change 291774 merged by jenkins-bot:
Update wikibase/javascript-api to 1.1.1

https://gerrit.wikimedia.org/r/291774

Mentioned in SAL [2016-05-30T18:14:06Z] <jzerebecki@tin> Synchronized php-1.28.0-wmf.3/extensions/Wikidata/vendor/wikibase/javascript-api/src/getLocationAgnosticMwApi.js: Wikidata WikibaseJavaScriptApi: Fix getLocationAgnosticMwApi behavior in Internet Explorer b6ae82c71af3d9361cfb9e8d4e6e45bcd5ee9b26 1 of 2 T136543 (duration: 00m 26s)

Mentioned in SAL [2016-05-30T18:15:47Z] <jzerebecki@tin> Synchronized php-1.28.0-wmf.3/extensions/Wikidata/vendor/wikibase/javascript-api/WikibaseJavaScriptApi.php: Wikidata WikibaseJavaScriptApi: Fix getLocationAgnosticMwApi behavior in Internet Explorer b6ae82c71af3d9361cfb9e8d4e6e45bcd5ee9b26 2 of 2 T136543 (duration: 00m 24s)

Editing labels on repo is now fixed in IE11.
It seems connecting a page on the client does not work on IE11, instead I get the new item special page on the repo.

Editing on test and beta is broken in worse ways for IE11. Maybe because of outdated Gadgets?

Jonas closed this task as Resolved.May 31 2016, 10:03 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-05-24 board.

Change 291704 merged by jenkins-bot:
Release 2.0.0

https://gerrit.wikimedia.org/r/291704

I found the change that triggered this bug: https://gerrit.wikimedia.org/r/288510, merged on May 12, 4 days before the users started asking on the "contact the devs" page.

Strainu reopened this task as Open.May 31 2016, 5:08 PM
Strainu added a subscriber: Strainu.

There is a report [1] that the issue is still reproducible for languages other than English, reopening.

[1] https://ro.wikipedia.org/wiki/Wikipedia:Cafenea#Probleme_cu_interfa.C8.9Ba

*sigh* I can confirm what you said in IE11 (without logging in). That worked when I wrote T136543#2339545.
There is an error when clicking edit: Invalid Argument in the jQuery prop method called from createTag() in jquery.ui.tagadata.js . I'm not aware of a change since then.

The error is only triggered when one of the labels is empty.

The cause is .prop( 'dir', this.element.prop( 'dir' ) || 'auto' ); trying to set the dir property on the input field to auto which is not valid in IE11.

Change 291960 had a related patch set uploaded (by JanZerebecki):
Work around IE not supporting dir=auto

https://gerrit.wikimedia.org/r/291960

Change 291960 merged by jenkins-bot:
Work around IE not supporting dir=auto

https://gerrit.wikimedia.org/r/291960

Change 291968 had a related patch set uploaded (by JanZerebecki):
Work around IE not supporting dir=auto

https://gerrit.wikimedia.org/r/291968

Change 291968 merged by jenkins-bot:
Work around IE not supporting dir=auto

https://gerrit.wikimedia.org/r/291968

Change 291973 had a related patch set uploaded (by JanZerebecki):
Update Wikibase

https://gerrit.wikimedia.org/r/291973

Change 291973 abandoned by JanZerebecki:
Update Wikibase

Reason:
Wrong branch

https://gerrit.wikimedia.org/r/291973

Change 291974 had a related patch set uploaded (by JanZerebecki):
Update Wikibase

https://gerrit.wikimedia.org/r/291974

Change 291974 merged by jenkins-bot:
Update Wikibase

https://gerrit.wikimedia.org/r/291974

JanZerebecki closed this task as Resolved.May 31 2016, 8:39 PM
JanZerebecki claimed this task.